ADAM_2.12: CLI 1.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    adam
- ADAM2Fastq
- ADAM2FastqArgs
- ADAMMain
- ADAMModule
- About
- CommandGroup
- CountReadKmers
- CountReadKmersArgs
- CountSliceKmers
- CountSliceKmersArgs
- Coverage
- CoverageArgs
- FlagStat
- FlagStatArgs
- MergeShards
- MergeShardsArgs
- PrintADAM
- PrintADAMArgs
- TransformAlignments
- TransformAlignmentsArgs
- TransformFeatures
- TransformFeaturesArgs
- TransformFragments
- TransformFragmentsArgs
- TransformGenotypes
- TransformGenotypesArgs
- TransformSequences
- TransformSequencesArgs
- TransformSlices
- TransformSlicesArgs
- TransformVariants
- TransformVariantsArgs
- View
- ViewArgs

c

org.bdgenomics.adam.cli

# TransformFragmentsArgs 

###

#### class TransformFragmentsArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs with CramArgs

Linear Supertypes
CramArgs, ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransformFragmentsArgs
2. CramArgs
3. ParquetArgs
4. ADAMSaveAnyArgs
5. SaveArgs
6. ParquetRDDArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TransformFragmentsArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  var asSingleFile: Boolean
   Definition Classes
     TransformFragmentsArgs → ADAMSaveAnyArgs
6.  var binQualityScores: String
7.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  val compressionCodec: CompressionCodecName
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
10.  def configureCramFormat(sc: SparkContext): Option[Unit]

    Configure CRAM format.

    Configure CRAM format.

    sc

      Spark context to configure

    Definition Classes
      CramArgs
11.  val cramReference: String
    Definition Classes
      CramArgs
    Annotations
      @Option()
12.  var deferMerging: Boolean
    Definition Classes
      TransformFragmentsArgs → ADAMSaveAnyArgs
13.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
14.  var disableFastConcat: Boolean
    Definition Classes
      TransformFragmentsArgs → ADAMSaveAnyArgs
15.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  var inputPath: String
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  var loadAsAlignments: Boolean
24.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
25.  var markDuplicates: Boolean
26.  var maxReadLength: Int
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  var outputPath: String
    Definition Classes
      TransformFragmentsArgs → SaveArgs
31.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
32.  var pairedFastqFile: String
33.  var saveAsAlignments: Boolean
34.  var sortByReadName: Boolean
35.  var sortByReferencePosition: Boolean
36.  var sortByReferencePositionAndIndex: Boolean
37.  var sortFastqOutput: Boolean
    Definition Classes
      TransformFragmentsArgs → ADAMSaveAnyArgs
38.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from CramArgs

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped